Create a tag
Understanding how to use FeatureOS API to build custom integrations.
Introduction
This API enables you to add new tags that can be either global or specific to a board.
POST
https://api.featureos.app/api/v3/tags
curl -X POST 'https://api.featureos.app/api/v3/tags' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| Authorization | - | Generate a unique JWT token specific to a user. |
Body Parameters
| Parameter | Default | Description |
|---|---|---|
| id | - | The ID of the tag returned in the list tags endpoint. |
| name | - | The name of the tag returned in the list tags endpoint. |
| color | - | The color of the tag - ["gray", "red", "yellow", "green", "cyan", "teal", "blue", "indigo", "purple", "rose", "light_gray", "violet", "orange"] |
| source_type | - | The type of source under which the tag is created - ["bucket" - Board specific tag (or) "feature_request" - Global tag] |
| source_id | - | The ID of the source under which the tag is created. |
| description | - | A description of the tag. |
| private | - | Indicates whether the tag is private or public. |